<template>
  <nav ref="menu">
    <FontAwesomeIcon icon="times" class="close-btn" @click.prevent="close" />
    <ul>
      <li v-for="(item, idx) in menu" :key="idx" @click="close">
        <nuxt-link :to="localePath(item)">
          {{ $t(`pages.${item}`) }}
        </nuxt-link>
      </li>
    </ul>
  </nav>
</template>

<script>
export default {
  data () {
    return {
      menu: [
        'projects',
      ],
    };
  },

  methods: {
    close () {
      this.$refs.menu.classList.toggle('active');
    },
  },
};
</script>

<style lang="scss" scoped>
nav {
  position: fixed;
  height: 100vh;
  width: 100vw;
  top: 0; left: 0;
  z-index: 100;

  background: rgba(0, 0, 0, 0.95);

  display: none;
  &.active {
    display: block;
  }

  ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;

    li {
      font-size: 1.5em;
    }

    li + li {
      margin-top: 0.5em;
    }
  }
}

.close-btn {
  position: absolute;
  top: 1rem;
  right: 2rem;

  font-size: 1.5em;
  cursor: pointer;
}
</style>

<i18n>
{
  "de": {
    "pages": {
      "projects": "Projekte"
    }
  },
  "en": {
    "pages": {
      "projects": "Projects"
    }
  }
}
</i18n>
